﻿<AML>
 <Item type="Method" id="D401FD5DF2554257B8E01E6FCD95AE1D" action="add">
  <execution_allowed_to keyed_name="World" type="Identity">A73B655731924CD0B027E4F4D5FCC0A9</execution_allowed_to>
  <method_code><![CDATA[/* *****************************************************************************
Method Name:			acc_income_expense_delete_row
Created By		:		SolidCAD 
Creation Date:			2018-01-23
Description:
	When delete row Income/Expense Detail,
	-Calculate Total Amount and Total Home Amount and set.
	
Hooks:
	Type:	RelationshipType	:	acc_income_expense_detail
	Event:	Grid Event ( OnDeleteRow )

Revisions:
	Rev Date		Modified By			Description
	YYYY-MM-DD		$username$			Initial creation
***************************************************************************** */

//debugger;
var thisItem = parent.thisItem;
var acc_total_amount = parent.thisItem.getProperty("acc_total_amount");
var acc_total_home_amount = parent.thisItem.getProperty("acc_total_home_amount");

var f_acc_total_amount = parseFloat(acc_total_amount);
var f_acc_total_home_amount = parseFloat(acc_total_home_amount);

var child = thisItem.getItemsByXPath("//Item[@id = '" + relationshipID + "']").getItemByIndex(0);
var acc_amount = child.getProperty("acc_amount");
var acc_home_amount = child.getProperty("acc_home_amount");
var f_acc_amount = parseFloat(acc_amount);
var f_acc_home_amount = parseFloat(acc_home_amount);

if (f_acc_total_amount > 0) {
    var sub_amount = (f_acc_total_amount - f_acc_amount);
    parent.thisItem.setProperty("acc_total_amount", sub_amount.toFixed(2));
    myHandleItemChange("acc_total_amount", sub_amount.toFixed(2));
    var sub_home_amount = (f_acc_total_home_amount - f_acc_home_amount);
    parent.thisItem.setProperty("acc_total_home_amount", sub_home_amount.toFixed(2));
    myHandleItemChange("acc_total_home_amount", sub_home_amount.toFixed(2));
}

function myHandleItemChange(property, value) {
    if (top.instance.document) {
        
        top.instance.handleItemChange(property, value);
    } else {
        
        top.frames[1].handleItemChange(property, value);
    }
}]]></method_code>
  <method_type>JavaScript</method_type>
  <name>acc_income_expense_delete_row</name>
 </Item>
</AML>